tinkerpop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From florianhockm...@apache.org
Subject [24/50] [abbrv] tinkerpop git commit: Make Travis use a newer version of Maven.
Date Sat, 27 Jan 2018 13:12:59 GMT
Make Travis use a newer version of Maven.


Project: http://git-wip-us.apache.org/repos/asf/tinkerpop/repo
Commit: http://git-wip-us.apache.org/repos/asf/tinkerpop/commit/397393d2
Tree: http://git-wip-us.apache.org/repos/asf/tinkerpop/tree/397393d2
Diff: http://git-wip-us.apache.org/repos/asf/tinkerpop/diff/397393d2

Branch: refs/heads/TINKERPOP-1854
Commit: 397393d27786e0366991215c36e7ea903fba3d67
Parents: 8d722a9
Author: Lukas Krejci <lkrejci@redhat.com>
Authored: Tue Nov 15 11:21:34 2016 +0100
Committer: Jorge Bay Gondra <jorgebaygondra@gmail.com>
Committed: Fri Jan 19 09:30:17 2018 +0100

----------------------------------------------------------------------
 .travis.install-maven.sh | 19 +++++++++++++++++++
 .travis.yml              | 13 ++++++++++++-
 pom.xml                  |  1 +
 3 files changed, 32 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/tinkerpop/blob/397393d2/.travis.install-maven.sh
----------------------------------------------------------------------
diff --git a/.travis.install-maven.sh b/.travis.install-maven.sh
new file mode 100644
index 0000000..66affe6
--- /dev/null
+++ b/.travis.install-maven.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -xe
+
+MVN_VERSION="$1"
+MVN_INSTALL_DIR="$2"
+
+if [ ! -f "${MVN_INSTALL_DIR}/lib/maven-artifact-${MVN_VERSION}.jar" ]; then
+  rm -Rf "${MVN_INSTALL_DIR}"
+  mkdir -p "${MVN_INSTALL_DIR}"
+
+  APACHE_MIRROR="$(curl -sL https://www.apache.org/dyn/closer.cgi?asjson=1 | python -c 'import
sys, json; print json.load(sys.stdin)["preferred"]')"
+  curl -o "${HOME}/apache-maven-$MVN_VERSION-bin.tar.gz" "$APACHE_MIRROR/maven/maven-3/$MVN_VERSION/binaries/apache-maven-$MVN_VERSION-bin.tar.gz"
+  cd "${MVN_INSTALL_DIR}"
+  tar -xzf "${HOME}/apache-maven-$MVN_VERSION-bin.tar.gz" --strip 1
+  chmod +x "${MVN_INSTALL_DIR}/bin/mvn"
+else
+  echo "Using cached Maven ${MVN_VERSION}"
+fi
+${MVN_INSTALL_DIR}/bin/mvn -version

http://git-wip-us.apache.org/repos/asf/tinkerpop/blob/397393d2/.travis.yml
----------------------------------------------------------------------
diff --git a/.travis.yml b/.travis.yml
index 2c86de3..442de5e 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -5,6 +5,17 @@ jdk:
   - oraclejdk8
 sudo: required
 dist: trusty
+cache:
+  directories:
+    - $HOME/mvn-home
+
+install:
+  # install maven 3.3.9 if it is not in cache already
+  - bash .travis.install-maven.sh "3.3.9" "${HOME}/mvn-home"
+  - export M2_HOME=${HOME}/mvn-home
+  - export PATH=${HOME}/mvn-home/bin:${PATH}
+  # visual check that we have the correct maven version installed
+  - mvn -version
 
 before_install:
   - sudo sh -c 'echo "deb [arch=amd64] https://apt-mo.trafficmanager.net/repos/dotnet-release/
trusty main" > /etc/apt/sources.list.d/dotnetdev.list'
@@ -16,4 +27,4 @@ jobs:
   include:
     - script: "mvn clean install -Dci"
     - script: "touch gremlin-dotnet/src/.glv && touch gremlin-dotnet/test/.glv &&
mvn clean install -pl :gremlin-dotnet,:gremlin-dotnet-tests -P gremlin-dotnet -DskipIntegrationTests=false"
-    - script: "mvn clean install -pl :gremlin-javascript -DskipIntegrationTests=false"
\ No newline at end of file
+    - script: "mvn clean install -pl :gremlin-javascript -DskipIntegrationTests=false"

http://git-wip-us.apache.org/repos/asf/tinkerpop/blob/397393d2/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 157b9bf..259f16a 100644
--- a/pom.xml
+++ b/pom.xml
@@ -287,6 +287,7 @@ limitations under the License.
                     <excludeSubProjects>false</excludeSubProjects>
                     <excludes>
                         <exclude>.travis.yml</exclude>
+                        <exclude>.travis.*.sh</exclude>
                         <exclude>.dockerignore</exclude>
                         <exclude>**/.classpath</exclude>
                         <exclude>**/.project</exclude>


Mime
View raw message